org.scalatest.events

# RunStarting

#### object RunStarting extends Serializable

Companion object for the `RunStarting` event, which contains overloaded factory methods and an extractor method to facilitate pattern matching on `RunStarting` objects.

All factory methods throw `NullPointerException` if any of the passed values are `null`, and `IllegalArgumentException` if `testCount` is less than zero.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. RunStarting
2. Serializable
3. Serializable
4. AnyRef
5. Any

Visibility

1. Public
2. All

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def apply (ordinal: Ordinal, testCount: Int, configMap: Map[String, Any]): RunStarting

   Constructs a new `RunStarting` event with the passed parameters, passing `None` for `formatter`, `None` as the `payload`, the current threads name as `threadname`, and the current time as `timeStamp`.

   Constructs a new `RunStarting` event with the passed parameters, passing `None` for `formatter`, `None` as the `payload`, the current threads name as `threadname`, and the current time as `timeStamp`.

   ordinal

     an `Ordinal` that can be used to place this event in order in the context of other events reported during the same run

   testCount

     the number of tests expected during this run

   configMap

     a `Map` of key-value pairs that can be used by custom `Reporter`s

   returns

     a new `RunStarting` instance initialized with the passed and default values

7. #### def apply (ordinal: Ordinal, testCount: Int, configMap: Map[String, Any], formatter: Option[Formatter]): RunStarting

   Constructs a new `RunStarting` event with the passed parameters, passing `None` as the `payload`, the current threads name as `threadname`, and the current time as `timeStamp`.

   Constructs a new `RunStarting` event with the passed parameters, passing `None` as the `payload`, the current threads name as `threadname`, and the current time as `timeStamp`.

   ordinal

     an `Ordinal` that can be used to place this event in order in the context of other events reported during the same run

   testCount

     the number of tests expected during this run

   configMap

     a `Map` of key-value pairs that can be used by custom `Reporter`s

   formatter

     an optional formatter that provides extra information that can be used by reporters in determining how to present this event to the user

   returns

     a new `RunStarting` instance initialized with the passed and default values

8. #### def apply (ordinal: Ordinal, testCount: Int, configMap: Map[String, Any], formatter: Option[Formatter], payload: Option[Any]): RunStarting

   Constructs a new `RunStarting` event with the passed parameters, passing the current thread's name as `threadname` and the current time as `timeStamp`.

   Constructs a new `RunStarting` event with the passed parameters, passing the current thread's name as `threadname` and the current time as `timeStamp`.

   ordinal

     an `Ordinal` that can be used to place this event in order in the context of other events reported during the same run

   testCount

     the number of tests expected during this run

   configMap

     a `Map` of key-value pairs that can be used by custom `Reporter`s

   formatter

     an optional formatter that provides extra information that can be used by reporters in determining how to present this event to the user

   payload

     an optional object that can be used to pass custom information to the reporter about the `RunStarting` event

   returns

     a new `RunStarting` instance initialized with the passed and default values

9. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

10. #### def clone (): AnyRef

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

11. #### def eq (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

12. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

14. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

15. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

16. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

17. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def readResolve (): AnyRef

    Attributes
      protected

21. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

22. #### def toString (): String

    Definition Classes
      AnyRef → Any

23. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

24. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

25. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any